<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.foreverwin.mesnac.equip.mapper.ResourceRepairTaskMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        <id column="HANDLE" property="handle" />
        <result column="SITE" property="site" />
        <result column="REPAIR_NO" property="repairNo" />
        <result column="DESCRIPTION" property="description" />
        <result column="STATUS" property="status" />
        <result column="RESOURCE_NO" property="resourceNo" />
        <result column="REPORT_USER" property="reportUser" />
        <result column="NC_CODE_NO" property="ncCodeNo" />
        <result column="REPAIR_TYPE" property="repairType" />
        <result column="STOP_MACHINE" property="stopMachine" />
        <result column="BREAK_DOWN_DESCRIPTION" property="breakDownDescription" />
        <result column="FIND_LINK" property="findLink" />
        <result column="REPORT_SOURCE" property="reportSource" />
        <result column="OBJECT_BO" property="objectBo" />
        <result column="PLAN_START_DATE" property="planStartDate" />
        <result column="PLAN_COMPLETE_DATE" property="planCompleteDate" />
        <result column="ACTUAL_START_DATE" property="actualStartDate" />
        <result column="ACTUAL_COMPLETE_DATE" property="actualCompleteDate" />
        <result column="REPAIR_USERS" property="repairUsers" />
        <result column="CANCEL_CODE" property="cancelCode" />
        <result column="CANCEL_DATE" property="cancelDate" />
        <result column="CANCEL_DESCRIPTION" property="cancelDescription" />
        <result column="CANCEL_USER" property="cancelUser" />
        <result column="DEAL_WAY" property="dealWay" />
        <result column="PRELIMINARY_REASON" property="preliminaryReason" />
        <result column="DEAL_WAY_DESCRIPTION" property="dealWayDescription" />
        <result column="WAIT_TIME" property="waitTime" />
        <result column="WAIT_START_DATE" property="waitStartDate" />
        <result column="WAIT_END_DATE" property="waitEndDate" />
        <result column="WAIT_DESCRIPTION" property="waitDescription" />
        <result column="PRIMARY_REASON" property="primaryReason" />
        <result column="PRIMARY_REASON_DESCRIPTION" property="primaryReasonDescription" />
        <result column="PRECAUTION_MEASURE_DESCRIPTION" property="precautionMeasureDescription" />
        <result column="REMARK" property="remark" />
        <result column="OTHER" property="other" />
        <result column="ANOTHER" property="another" />
        <result column="CREATE_USER" property="createUser" />
        <result column="CREATED_DATE_TIME" property="createdDateTime" />
        <result column="MODIFY_USER" property="modifyUser" />
        <result column="MODIFIED_DATE_TIME" property="modifiedDateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        HANDLE, SITE, REPAIR_NO, DESCRIPTION, STATUS, RESOURCE_NO, REPORT_USER, NC_CODE_NO, REPAIR_TYPE, STOP_MACHINE, BREAK_DOWN_DESCRIPTION, FIND_LINK, REPORT_SOURCE, OBJECT_BO, PLAN_START_DATE, PLAN_COMPLETE_DATE, ACTUAL_START_DATE, ACTUAL_COMPLETE_DATE, REPAIR_USERS, CANCEL_CODE, CANCEL_DATE, CANCEL_DESCRIPTION, CANCEL_USER, DEAL_WAY, PRELIMINARY_REASON, DEAL_WAY_DESCRIPTION, WAIT_TIME, WAIT_START_DATE, WAIT_END_DATE, WAIT_DESCRIPTION, PRIMARY_REASON, PRIMARY_REASON_DESCRIPTION, PRECAUTION_MEASURE_DESCRIPTION, REMARK, OTHER, ANOTHER, CREATE_USER, CREATED_DATE_TIME, MODIFY_USER, MODIFIED_DATE_TIME
    </sql>

    <!-- BaseMapper标准查询/修改/删除 -->
    <select id="selectById" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_RESOURCE_REPAIR_TASK WHERE HANDLE=#{handle}
    </select>

    <select id="selectByMap" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_RESOURCE_REPAIR_TASK
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </select>

    <select id="selectBatchIds" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include>
        FROM Z_RESOURCE_REPAIR_TASK WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </select>

    <select id="selectOne" resultMap="BaseResultMap">
        SELECT <include refid="Base_Column_List"></include> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew.entity.handle!=null">
              HANDLE=#{ew.handle}
            </if>
            <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
            <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
            <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
            <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
            <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
            <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
            <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
            <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
            <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
            <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
            <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
            <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
            <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
            <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
            <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
            <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
            <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
            <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
            <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
            <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
            <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
            <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
            <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
            <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
            <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
            <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
            <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
            <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
            <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
            <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
            <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
            <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
            <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
            <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
            <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
            <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
            <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
            <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
            <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
        </where>
    </select>

    <select id="selectCount" resultType="Integer">
        SELECT COUNT(1) FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                <if test="ew.entity.handle!=null">
                    HANDLE=#{ew.entity.handle}
                </if>
                <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectList" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMaps" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectObjs" resultType="Object">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectPage" resultMap="BaseResultMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <select id="selectMapsPage" resultType="HashMap">
        SELECT <choose><when test="ew != null and ew.sqlSelect != null">${ew.sqlSelect}</when><otherwise><include refid="Base_Column_List"></include></otherwise></choose> FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </select>

    <insert id="insert" parameterType="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        INSERT INTO Z_RESOURCE_REPAIR_TASK
        <trim prefix="(" suffix=")" suffixOverrides=",">
            HANDLE,
            <if test="site!=null">SITE,</if>
            <if test="repairNo!=null">REPAIR_NO,</if>
            <if test="description!=null">DESCRIPTION,</if>
            <if test="status!=null">STATUS,</if>
            <if test="resourceNo!=null">RESOURCE_NO,</if>
            <if test="reportUser!=null">REPORT_USER,</if>
            <if test="ncCodeNo!=null">NC_CODE_NO,</if>
            <if test="repairType!=null">REPAIR_TYPE,</if>
            <if test="stopMachine!=null">STOP_MACHINE,</if>
            <if test="breakDownDescription!=null">BREAK_DOWN_DESCRIPTION,</if>
            <if test="findLink!=null">FIND_LINK,</if>
            <if test="reportSource!=null">REPORT_SOURCE,</if>
            <if test="objectBo!=null">OBJECT_BO,</if>
            <if test="planStartDate!=null">PLAN_START_DATE,</if>
            <if test="planCompleteDate!=null">PLAN_COMPLETE_DATE,</if>
            <if test="actualStartDate!=null">ACTUAL_START_DATE,</if>
            <if test="actualCompleteDate!=null">ACTUAL_COMPLETE_DATE,</if>
            <if test="repairUsers!=null">REPAIR_USERS,</if>
            <if test="cancelCode!=null">CANCEL_CODE,</if>
            <if test="cancelDate!=null">CANCEL_DATE,</if>
            <if test="cancelDescription!=null">CANCEL_DESCRIPTION,</if>
            <if test="cancelUser!=null">CANCEL_USER,</if>
            <if test="dealWay!=null">DEAL_WAY,</if>
            <if test="preliminaryReason!=null">PRELIMINARY_REASON,</if>
            <if test="dealWayDescription!=null">DEAL_WAY_DESCRIPTION,</if>
            <if test="waitTime!=null">WAIT_TIME,</if>
            <if test="waitStartDate!=null">WAIT_START_DATE,</if>
            <if test="waitEndDate!=null">WAIT_END_DATE,</if>
            <if test="waitDescription!=null">WAIT_DESCRIPTION,</if>
            <if test="primaryReason!=null">PRIMARY_REASON,</if>
            <if test="primaryReasonDescription!=null">PRIMARY_REASON_DESCRIPTION,</if>
            <if test="precautionMeasureDescription!=null">PRECAUTION_MEASURE_DESCRIPTION,</if>
            <if test="remark!=null">REMARK,</if>
            <if test="other!=null">OTHER,</if>
            <if test="another!=null">ANOTHER,</if>
            <if test="createUser!=null">CREATE_USER,</if>
            <if test="createdDateTime!=null">CREATED_DATE_TIME,</if>
            <if test="modifyUser!=null">MODIFY_USER,</if>
            <if test="modifiedDateTime!=null">MODIFIED_DATE_TIME,</if>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            <if test="site!=null">#{site},</if>
            <if test="repairNo!=null">#{repairNo},</if>
            <if test="description!=null">#{description},</if>
            <if test="status!=null">#{status},</if>
            <if test="resourceNo!=null">#{resourceNo},</if>
            <if test="reportUser!=null">#{reportUser},</if>
            <if test="ncCodeNo!=null">#{ncCodeNo},</if>
            <if test="repairType!=null">#{repairType},</if>
            <if test="stopMachine!=null">#{stopMachine},</if>
            <if test="breakDownDescription!=null">#{breakDownDescription},</if>
            <if test="findLink!=null">#{findLink},</if>
            <if test="reportSource!=null">#{reportSource},</if>
            <if test="objectBo!=null">#{objectBo},</if>
            <if test="planStartDate!=null">#{planStartDate},</if>
            <if test="planCompleteDate!=null">#{planCompleteDate},</if>
            <if test="actualStartDate!=null">#{actualStartDate},</if>
            <if test="actualCompleteDate!=null">#{actualCompleteDate},</if>
            <if test="repairUsers!=null">#{repairUsers},</if>
            <if test="cancelCode!=null">#{cancelCode},</if>
            <if test="cancelDate!=null">#{cancelDate},</if>
            <if test="cancelDescription!=null">#{cancelDescription},</if>
            <if test="cancelUser!=null">#{cancelUser},</if>
            <if test="dealWay!=null">#{dealWay},</if>
            <if test="preliminaryReason!=null">#{preliminaryReason},</if>
            <if test="dealWayDescription!=null">#{dealWayDescription},</if>
            <if test="waitTime!=null">#{waitTime},</if>
            <if test="waitStartDate!=null">#{waitStartDate},</if>
            <if test="waitEndDate!=null">#{waitEndDate},</if>
            <if test="waitDescription!=null">#{waitDescription},</if>
            <if test="primaryReason!=null">#{primaryReason},</if>
            <if test="primaryReasonDescription!=null">#{primaryReasonDescription},</if>
            <if test="precautionMeasureDescription!=null">#{precautionMeasureDescription},</if>
            <if test="remark!=null">#{remark},</if>
            <if test="other!=null">#{other},</if>
            <if test="another!=null">#{another},</if>
            <if test="createUser!=null">#{createUser},</if>
            <if test="createdDateTime!=null">#{createdDateTime},</if>
            <if test="modifyUser!=null">#{modifyUser},</if>
            <if test="modifiedDateTime!=null">#{modifiedDateTime},</if>
        </trim>
    </insert>

    <insert id="insertAllColumn" parameterType="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        INSERT INTO Z_RESOURCE_REPAIR_TASK
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <include refid="Base_Column_List"></include>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            #{site},
            #{repairNo},
            #{description},
            #{status},
            #{resourceNo},
            #{reportUser},
            #{ncCodeNo},
            #{repairType},
            #{stopMachine},
            #{breakDownDescription},
            #{findLink},
            #{reportSource},
            #{objectBo},
            #{planStartDate},
            #{planCompleteDate},
            #{actualStartDate},
            #{actualCompleteDate},
            #{repairUsers},
            #{cancelCode},
            #{cancelDate},
            #{cancelDescription},
            #{cancelUser},
            #{dealWay},
            #{preliminaryReason},
            #{dealWayDescription},
            #{waitTime},
            #{waitStartDate},
            #{waitEndDate},
            #{waitDescription},
            #{primaryReason},
            #{primaryReasonDescription},
            #{precautionMeasureDescription},
            #{remark},
            #{other},
            #{another},
            #{createUser},
            #{createdDateTime},
            #{modifyUser},
            #{modifiedDateTime},
        </trim>
    </insert>


    <update id="updateById">
        UPDATE Z_RESOURCE_REPAIR_TASK <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.repairNo!=null">REPAIR_NO=#{et.repairNo},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.resourceNo!=null">RESOURCE_NO=#{et.resourceNo},</if>
        <if test="et.reportUser!=null">REPORT_USER=#{et.reportUser},</if>
        <if test="et.ncCodeNo!=null">NC_CODE_NO=#{et.ncCodeNo},</if>
        <if test="et.repairType!=null">REPAIR_TYPE=#{et.repairType},</if>
        <if test="et.stopMachine!=null">STOP_MACHINE=#{et.stopMachine},</if>
        <if test="et.breakDownDescription!=null">BREAK_DOWN_DESCRIPTION=#{et.breakDownDescription},</if>
        <if test="et.findLink!=null">FIND_LINK=#{et.findLink},</if>
        <if test="et.reportSource!=null">REPORT_SOURCE=#{et.reportSource},</if>
        <if test="et.objectBo!=null">OBJECT_BO=#{et.objectBo},</if>
        <if test="et.planStartDate!=null">PLAN_START_DATE=#{et.planStartDate},</if>
        <if test="et.planCompleteDate!=null">PLAN_COMPLETE_DATE=#{et.planCompleteDate},</if>
        <if test="et.actualStartDate!=null">ACTUAL_START_DATE=#{et.actualStartDate},</if>
        <if test="et.actualCompleteDate!=null">ACTUAL_COMPLETE_DATE=#{et.actualCompleteDate},</if>
        <if test="et.repairUsers!=null">REPAIR_USERS=#{et.repairUsers},</if>
        <if test="et.cancelCode!=null">CANCEL_CODE=#{et.cancelCode},</if>
        <if test="et.cancelDate!=null">CANCEL_DATE=#{et.cancelDate},</if>
        <if test="et.cancelDescription!=null">CANCEL_DESCRIPTION=#{et.cancelDescription},</if>
        <if test="et.cancelUser!=null">CANCEL_USER=#{et.cancelUser},</if>
        <if test="et.dealWay!=null">DEAL_WAY=#{et.dealWay},</if>
        <if test="et.preliminaryReason!=null">PRELIMINARY_REASON=#{et.preliminaryReason},</if>
        <if test="et.dealWayDescription!=null">DEAL_WAY_DESCRIPTION=#{et.dealWayDescription},</if>
        <if test="et.waitTime!=null">WAIT_TIME=#{et.waitTime},</if>
        <if test="et.waitStartDate!=null">WAIT_START_DATE=#{et.waitStartDate},</if>
        <if test="et.waitEndDate!=null">WAIT_END_DATE=#{et.waitEndDate},</if>
        <if test="et.waitDescription!=null">WAIT_DESCRIPTION=#{et.waitDescription},</if>
        <if test="et.primaryReason!=null">PRIMARY_REASON=#{et.primaryReason},</if>
        <if test="et.primaryReasonDescription!=null">PRIMARY_REASON_DESCRIPTION=#{et.primaryReasonDescription},</if>
        <if test="et.precautionMeasureDescription!=null">PRECAUTION_MEASURE_DESCRIPTION=#{et.precautionMeasureDescription},</if>
        <if test="et.remark!=null">REMARK=#{et.remark},</if>
        <if test="et.other!=null">OTHER=#{et.other},</if>
        <if test="et.another!=null">ANOTHER=#{et.another},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.modifyUser!=null">MODIFY_USER=#{et.modifyUser},</if>
        <if test="et.modifiedDateTime!=null">MODIFIED_DATE_TIME=#{et.modifiedDateTime},</if>
        </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="updateAllColumnById">
        UPDATE Z_RESOURCE_REPAIR_TASK <trim prefix="SET" suffixOverrides=",">
        SITE=#{et.site},
        REPAIR_NO=#{et.repairNo},
        DESCRIPTION=#{et.description},
        STATUS=#{et.status},
        RESOURCE_NO=#{et.resourceNo},
        REPORT_USER=#{et.reportUser},
        NC_CODE_NO=#{et.ncCodeNo},
        REPAIR_TYPE=#{et.repairType},
        STOP_MACHINE=#{et.stopMachine},
        BREAK_DOWN_DESCRIPTION=#{et.breakDownDescription},
        FIND_LINK=#{et.findLink},
        REPORT_SOURCE=#{et.reportSource},
        OBJECT_BO=#{et.objectBo},
        PLAN_START_DATE=#{et.planStartDate},
        PLAN_COMPLETE_DATE=#{et.planCompleteDate},
        ACTUAL_START_DATE=#{et.actualStartDate},
        ACTUAL_COMPLETE_DATE=#{et.actualCompleteDate},
        REPAIR_USERS=#{et.repairUsers},
        CANCEL_CODE=#{et.cancelCode},
        CANCEL_DATE=#{et.cancelDate},
        CANCEL_DESCRIPTION=#{et.cancelDescription},
        CANCEL_USER=#{et.cancelUser},
        DEAL_WAY=#{et.dealWay},
        PRELIMINARY_REASON=#{et.preliminaryReason},
        DEAL_WAY_DESCRIPTION=#{et.dealWayDescription},
        WAIT_TIME=#{et.waitTime},
        WAIT_START_DATE=#{et.waitStartDate},
        WAIT_END_DATE=#{et.waitEndDate},
        WAIT_DESCRIPTION=#{et.waitDescription},
        PRIMARY_REASON=#{et.primaryReason},
        PRIMARY_REASON_DESCRIPTION=#{et.primaryReasonDescription},
        PRECAUTION_MEASURE_DESCRIPTION=#{et.precautionMeasureDescription},
        REMARK=#{et.remark},
        OTHER=#{et.other},
        ANOTHER=#{et.another},
        CREATE_USER=#{et.createUser},
        CREATED_DATE_TIME=#{et.createdDateTime},
        MODIFY_USER=#{et.modifyUser},
        MODIFIED_DATE_TIME=#{et.modifiedDateTime},
     </trim> WHERE HANDLE=#{et.handle} <if test="et instanceof java.util.Map"><if test="et.MP_OPTLOCK_VERSION_ORIGINAL!=null">and ${et.MP_OPTLOCK_VERSION_COLUMN}=#{et.MP_OPTLOCK_VERSION_ORIGINAL}</if></if>
    </update>


    <update id="update">
        UPDATE Z_RESOURCE_REPAIR_TASK <trim prefix="SET" suffixOverrides=",">
        <if test="et.site!=null">SITE=#{et.site},</if>
        <if test="et.repairNo!=null">REPAIR_NO=#{et.repairNo},</if>
        <if test="et.description!=null">DESCRIPTION=#{et.description},</if>
        <if test="et.status!=null">STATUS=#{et.status},</if>
        <if test="et.resourceNo!=null">RESOURCE_NO=#{et.resourceNo},</if>
        <if test="et.reportUser!=null">REPORT_USER=#{et.reportUser},</if>
        <if test="et.ncCodeNo!=null">NC_CODE_NO=#{et.ncCodeNo},</if>
        <if test="et.repairType!=null">REPAIR_TYPE=#{et.repairType},</if>
        <if test="et.stopMachine!=null">STOP_MACHINE=#{et.stopMachine},</if>
        <if test="et.breakDownDescription!=null">BREAK_DOWN_DESCRIPTION=#{et.breakDownDescription},</if>
        <if test="et.findLink!=null">FIND_LINK=#{et.findLink},</if>
        <if test="et.reportSource!=null">REPORT_SOURCE=#{et.reportSource},</if>
        <if test="et.objectBo!=null">OBJECT_BO=#{et.objectBo},</if>
        <if test="et.planStartDate!=null">PLAN_START_DATE=#{et.planStartDate},</if>
        <if test="et.planCompleteDate!=null">PLAN_COMPLETE_DATE=#{et.planCompleteDate},</if>
        <if test="et.actualStartDate!=null">ACTUAL_START_DATE=#{et.actualStartDate},</if>
        <if test="et.actualCompleteDate!=null">ACTUAL_COMPLETE_DATE=#{et.actualCompleteDate},</if>
        <if test="et.repairUsers!=null">REPAIR_USERS=#{et.repairUsers},</if>
        <if test="et.cancelCode!=null">CANCEL_CODE=#{et.cancelCode},</if>
        <if test="et.cancelDate!=null">CANCEL_DATE=#{et.cancelDate},</if>
        <if test="et.cancelDescription!=null">CANCEL_DESCRIPTION=#{et.cancelDescription},</if>
        <if test="et.cancelUser!=null">CANCEL_USER=#{et.cancelUser},</if>
        <if test="et.dealWay!=null">DEAL_WAY=#{et.dealWay},</if>
        <if test="et.preliminaryReason!=null">PRELIMINARY_REASON=#{et.preliminaryReason},</if>
        <if test="et.dealWayDescription!=null">DEAL_WAY_DESCRIPTION=#{et.dealWayDescription},</if>
        <if test="et.waitTime!=null">WAIT_TIME=#{et.waitTime},</if>
        <if test="et.waitStartDate!=null">WAIT_START_DATE=#{et.waitStartDate},</if>
        <if test="et.waitEndDate!=null">WAIT_END_DATE=#{et.waitEndDate},</if>
        <if test="et.waitDescription!=null">WAIT_DESCRIPTION=#{et.waitDescription},</if>
        <if test="et.primaryReason!=null">PRIMARY_REASON=#{et.primaryReason},</if>
        <if test="et.primaryReasonDescription!=null">PRIMARY_REASON_DESCRIPTION=#{et.primaryReasonDescription},</if>
        <if test="et.precautionMeasureDescription!=null">PRECAUTION_MEASURE_DESCRIPTION=#{et.precautionMeasureDescription},</if>
        <if test="et.remark!=null">REMARK=#{et.remark},</if>
        <if test="et.other!=null">OTHER=#{et.other},</if>
        <if test="et.another!=null">ANOTHER=#{et.another},</if>
        <if test="et.createUser!=null">CREATE_USER=#{et.createUser},</if>
        <if test="et.createdDateTime!=null">CREATED_DATE_TIME=#{et.createdDateTime},</if>
        <if test="et.modifyUser!=null">MODIFY_USER=#{et.modifyUser},</if>
        <if test="et.modifiedDateTime!=null">MODIFIED_DATE_TIME=#{et.modifiedDateTime},</if>
    </trim>
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    HANDLE=#{ew.entity.handle}
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </update>

    <delete id="deleteById">
        DELETE FROM Z_RESOURCE_REPAIR_TASK WHERE HANDLE=#{handle}
    </delete>

    <delete id="deleteByMap">
        DELETE FROM Z_RESOURCE_REPAIR_TASK
        <if test="cm!=null and !cm.isEmpty">
            <where>
                <foreach collection="cm.keys" item="k" separator="AND">
                    <if test="cm[k] != null">
                        ${k} = #{cm[${k}]}
                    </if>
                </foreach>
            </where>
        </if>
    </delete>

    <delete id="delete">
        DELETE FROM Z_RESOURCE_REPAIR_TASK
        <where>
            <if test="ew!=null">
                <if test="ew.entity!=null">
                    <if test="ew.entity.handle!=null">
                        HANDLE=#{ew.entity.handle}
                    </if>
                    <if test="ew.entity.site!=null"> AND SITE=#{ew.entity.site}</if>
                    <if test="ew.entity.repairNo!=null"> AND REPAIR_NO=#{ew.entity.repairNo}</if>
                    <if test="ew.entity.description!=null"> AND DESCRIPTION=#{ew.entity.description}</if>
                    <if test="ew.entity.status!=null"> AND STATUS=#{ew.entity.status}</if>
                    <if test="ew.entity.resourceNo!=null"> AND RESOURCE_NO=#{ew.entity.resourceNo}</if>
                    <if test="ew.entity.reportUser!=null"> AND REPORT_USER=#{ew.entity.reportUser}</if>
                    <if test="ew.entity.ncCodeNo!=null"> AND NC_CODE_NO=#{ew.entity.ncCodeNo}</if>
                    <if test="ew.entity.repairType!=null"> AND REPAIR_TYPE=#{ew.entity.repairType}</if>
                    <if test="ew.entity.stopMachine!=null"> AND STOP_MACHINE=#{ew.entity.stopMachine}</if>
                    <if test="ew.entity.breakDownDescription!=null"> AND BREAK_DOWN_DESCRIPTION=#{ew.entity.breakDownDescription}</if>
                    <if test="ew.entity.findLink!=null"> AND FIND_LINK=#{ew.entity.findLink}</if>
                    <if test="ew.entity.reportSource!=null"> AND REPORT_SOURCE=#{ew.entity.reportSource}</if>
                    <if test="ew.entity.objectBo!=null"> AND OBJECT_BO=#{ew.entity.objectBo}</if>
                    <if test="ew.entity.planStartDate!=null"> AND PLAN_START_DATE=#{ew.entity.planStartDate}</if>
                    <if test="ew.entity.planCompleteDate!=null"> AND PLAN_COMPLETE_DATE=#{ew.entity.planCompleteDate}</if>
                    <if test="ew.entity.actualStartDate!=null"> AND ACTUAL_START_DATE=#{ew.entity.actualStartDate}</if>
                    <if test="ew.entity.actualCompleteDate!=null"> AND ACTUAL_COMPLETE_DATE=#{ew.entity.actualCompleteDate}</if>
                    <if test="ew.entity.repairUsers!=null"> AND REPAIR_USERS=#{ew.entity.repairUsers}</if>
                    <if test="ew.entity.cancelCode!=null"> AND CANCEL_CODE=#{ew.entity.cancelCode}</if>
                    <if test="ew.entity.cancelDate!=null"> AND CANCEL_DATE=#{ew.entity.cancelDate}</if>
                    <if test="ew.entity.cancelDescription!=null"> AND CANCEL_DESCRIPTION=#{ew.entity.cancelDescription}</if>
                    <if test="ew.entity.cancelUser!=null"> AND CANCEL_USER=#{ew.entity.cancelUser}</if>
                    <if test="ew.entity.dealWay!=null"> AND DEAL_WAY=#{ew.entity.dealWay}</if>
                    <if test="ew.entity.preliminaryReason!=null"> AND PRELIMINARY_REASON=#{ew.entity.preliminaryReason}</if>
                    <if test="ew.entity.dealWayDescription!=null"> AND DEAL_WAY_DESCRIPTION=#{ew.entity.dealWayDescription}</if>
                    <if test="ew.entity.waitTime!=null"> AND WAIT_TIME=#{ew.entity.waitTime}</if>
                    <if test="ew.entity.waitStartDate!=null"> AND WAIT_START_DATE=#{ew.entity.waitStartDate}</if>
                    <if test="ew.entity.waitEndDate!=null"> AND WAIT_END_DATE=#{ew.entity.waitEndDate}</if>
                    <if test="ew.entity.waitDescription!=null"> AND WAIT_DESCRIPTION=#{ew.entity.waitDescription}</if>
                    <if test="ew.entity.primaryReason!=null"> AND PRIMARY_REASON=#{ew.entity.primaryReason}</if>
                    <if test="ew.entity.primaryReasonDescription!=null"> AND PRIMARY_REASON_DESCRIPTION=#{ew.entity.primaryReasonDescription}</if>
                    <if test="ew.entity.precautionMeasureDescription!=null"> AND PRECAUTION_MEASURE_DESCRIPTION=#{ew.entity.precautionMeasureDescription}</if>
                    <if test="ew.entity.remark!=null"> AND REMARK=#{ew.entity.remark}</if>
                    <if test="ew.entity.other!=null"> AND OTHER=#{ew.entity.other}</if>
                    <if test="ew.entity.another!=null"> AND ANOTHER=#{ew.entity.another}</if>
                    <if test="ew.entity.createUser!=null"> AND CREATE_USER=#{ew.entity.createUser}</if>
                    <if test="ew.entity.createdDateTime!=null"> AND CREATED_DATE_TIME=#{ew.entity.createdDateTime}</if>
                    <if test="ew.entity.modifyUser!=null"> AND MODIFY_USER=#{ew.entity.modifyUser}</if>
                    <if test="ew.entity.modifiedDateTime!=null"> AND MODIFIED_DATE_TIME=#{ew.entity.modifiedDateTime}</if>
                </if>
                <if test="ew!=null and ew.sqlSegment!=null and ew.nonEmptyOfWhere">
                    ${ew.sqlSegment}
                </if>
            </if>
        </where>
        <if test="ew!=null and ew.sqlSegment!=null and ew.emptyOfWhere">
            ${ew.sqlSegment}
        </if>
    </delete>

    <delete id="deleteBatchIds">
        DELETE FROM Z_RESOURCE_REPAIR_TASK WHERE HANDLE IN (
        <foreach item="item" index="index" collection="coll" separator=",">#{item}
        </foreach>)
    </delete>
    <!-- BaseMapper标准查询/修改/删除 -->

    <!--自定义sql-->
        <!--批量获取维修任务-->
    <select id="findResourceRepairTaskList" resultType="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        SELECT DISTINCT RRT.*, ZNU.FULL_NAME AS REPORT_USER_NAME, R.DESCRIPTION AS RESOURCE_DESCRIPTION,R.RESRCE AS RESOURCE_NO,
        WCMA.WORK_CENTER_BO AS WORK_CENTER_BO,NCT.DESCRIPTION AS CANCEL_CODE_DESCRIPTION, ZNU2.FULL_NAME AS CANCEL_USER_NAME,
        WCT.DESCRIPTION AS WORK_CENTER_DESCRIPTION
        FROM
        WIP.Z_RESOURCE_REPAIR_TASK RRT
        LEFT JOIN Z_NWA_USER ZNU ON ZNU.USER_NAME = RRT.REPORT_USER
        LEFT JOIN NC_CODE NC ON NC.NC_CODE = RRT.CANCEL_CODE
        LEFT JOIN NC_CODE_T NCT ON NCT.NC_CODE_BO = NC.HANDLE
        LEFT JOIN Z_NWA_USER ZNU2 ON ZNU2.USER_NAME = RRT.CANCEL_USER
        INNER JOIN WIP.RESRCE R ON RRT.SITE = R.SITE AND R.RESRCE = RRT.RESOURCE_NO
        LEFT JOIN WIP.WORK_CENTER_MEMBER WCM ON WCM.WORK_CENTER_OR_RESOURCE_GBO = R.HANDLE
        LEFT JOIN WIP.WORK_CENTER_MEMBER WCMA ON WCMA.WORK_CENTER_OR_RESOURCE_GBO = WCM.WORK_CENTER_BO
        LEFT JOIN WIP.WORK_CENTER_T WCT ON WCT.WORK_CENTER_BO = WCMA.WORK_CENTER_BO AND WCT.LOCALE = 'zh'
        INNER JOIN WIP.RESOURCE_TYPE_RESOURCE RTR ON RTR.RESOURCE_BO = R.HANDLE
        WHERE RRT.SITE = #{site}
        <if test="resourceNo != null and resourceNo != ''">
            AND RRT.RESOURCE_NO = #{resourceNo}
        </if>
        <if test="resourceTypeBo != null and resourceTypeBo != ''">
            AND RTR.RESOURCE_TYPE_BO = #{resourceTypeBo}
        </if>
        <if test="repairNo != null and repairNo != ''">
            AND RRT.REPAIR_NO = #{repairNo}
        </if>
        <if test="status != null and status != ''">
            AND RRT.STATUS = #{status}
        </if>
        <if test="workCenterBo != null and workCenterBo != ''">
            AND WCMA.WORK_CENTER_BO = #{workCenterBo}
        </if>
        <if test="resourceTypeBo != null and resourceTypeBo != ''">
            AND RTR.RESOURCE_TYPE_BO = #{resourceTypeBo}
        </if>
        <if test="reportSource != null and reportSource != ''">
            AND RRT.REPORT_SOURCE = #{reportSource}
        </if>
        <if test="compareStartDate != null and compareStartDate != ''">
            AND RRT.PLAN_START_DATE &gt;= (TO_DATE( #{compareStartDate},'yyyy-MM-dd hh24:mi-ss' ) - 8/24 )
        </if>
        <if test="compareEndDate != null and compareEndDate != ''">
            AND RRT.PLAN_START_DATE &lt;= (TO_DATE( #{compareEndDate},'yyyy-MM-dd hh24:mi-ss' ) - 8/24 )
        </if>
        ORDER BY PLAN_START_DATE , ACTUAL_START_DATE
    </select>
        <!--根据维修任务HANDLE获取维修任务详细数据-->
    <select id="findResourceRepairTaskByHandleAndSite" resultType="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        SELECT DISTINCT  RRT.*,R.DESCRIPTION AS RESOURCE_DESCRIPTION,R.RESRCE AS RESOURCE_NO, NCT.DESCRIPTION AS CANCEL_CODE_DESCRIPTION,
                         ZNU.FULL_NAME AS REPORT_USER_NAME, ZNU2.FULL_NAME AS CANCEL_USER_NAME ,
                        WCMA.WORK_CENTER_BO AS WORK_CENTER_BO,WCT.DESCRIPTION AS WORK_CENTER_DESCRIPTION
        FROM
            WIP.Z_RESOURCE_REPAIR_TASK RRT
                LEFT JOIN WIP.RESRCE R ON R.RESRCE = RRT.RESOURCE_NO AND R.SITE = RRT.SITE
                LEFT JOIN NC_CODE NC ON NC.NC_CODE = RRT.CANCEL_CODE
                LEFT JOIN NC_CODE_T NCT ON NCT.NC_CODE_BO = NC.HANDLE
                LEFT JOIN WIP.Z_NWA_USER ZNU ON ZNU.USER_NAME = RRT.REPORT_USER
                LEFT JOIN WIP.Z_NWA_USER ZNU2 ON ZNU2.USER_NAME = RRT.CANCEL_USER
                LEFT JOIN WIP.WORK_CENTER_MEMBER WCM ON WCM.WORK_CENTER_OR_RESOURCE_GBO = R.HANDLE
                LEFT JOIN WIP.WORK_CENTER_MEMBER WCMA ON WCMA.WORK_CENTER_OR_RESOURCE_GBO = WCM.WORK_CENTER_BO
                LEFT JOIN WIP.WORK_CENTER_T WCT ON WCT.WORK_CENTER_BO = WCMA.WORK_CENTER_BO
                INNER JOIN WIP.RESOURCE_TYPE_RESOURCE RTR ON RTR.RESOURCE_BO = R.HANDLE
        WHERE RRT.SITE = #{site} AND RRT.HANDLE = #{handle}
    </select>
   <!-- SELECT RRT.*,R.DESCRIPTION AS RESOURCE_DESCRIPTION,R.RESRCE AS RESOURCE_NO,
    NCT.DESCRIPTION AS NC_CODE_DESCRIPTION,
    WCMA.WORK_CENTER_BO AS WORK_CENTER_BO,WCT.DESCRIPTION AS WORK_CENTER_DESCRIPTION
    FROM WIP.Z_RESOURCE_REPAIR_TASK RRT
    LEFT JOIN WIP.RESRCE R ON R.RESRCE = RRT.RESOURCE_NO AND R.SITE = RRT.SITE
    LEFT JOIN WIP.NC_CODE NC ON NC.NC_CODE = RRT.NC_CODE_NO AND NC.SITE = RRT.SITE
    LEFT JOIN WIP.NC_CODE_T NCT ON NCT.NC_CODE_BO = NC.HANDLE
    LEFT JOIN WIP.WORK_CENTER_MEMBER WCM ON WCM.WORK_CENTER_OR_RESOURCE_GBO = R.HANDLE
    LEFT JOIN WIP.WORK_CENTER_MEMBER WCMA ON WCMA.WORK_CENTER_OR_RESOURCE_GBO = WCM.WORK_CENTER_BO
    LEFT JOIN WIP.WORK_CENTER_T WCT ON WCT.WORK_CENTER_BO = WCMA.WORK_CENTER_BO
    INNER JOIN WIP.RESOURCE_TYPE_RESOURCE RTR ON RTR.RESOURCE_BO = R.HANDLE
    WHERE RRT.SITE = #{site} AND RRT.HANDLE = #{handle}-->
    <!--查询日志表中是否已有记录-->
    <select id="selRepairTaskLogByHandle" resultType="java.lang.Integer">
        SELECT COUNT(*) FROM WIP.Z_RESOURCE_REPAIR_TASK_LOG WHERE HANDLE = #{handle}
    </select>
    <!--插入日志信息-->
    <insert id="insertRepairTaskLog" parameterType="com.foreverwin.mesnac.equip.model.ResourceRepairTask">
        INSERT INTO Z_RESOURCE_REPAIR_TASK_LOG
        <trim prefix="(" suffix=")" suffixOverrides=",">
            HANDLE,
            <if test="site!=null">SITE,</if>
            <if test="repairNo!=null">REPAIR_NO,</if>
            <if test="description!=null">DESCRIPTION,</if>
            <if test="status!=null">STATUS,</if>
            <if test="resourceNo!=null">RESOURCE_NO,</if>
            <if test="reportUser!=null">REPORT_USER,</if>
            <if test="ncCodeNo!=null">NC_CODE_NO,</if>
            <if test="repairType!=null">REPAIR_TYPE,</if>
            <if test="stopMachine!=null">STOP_MACHINE,</if>
            <if test="breakDownDescription!=null">BREAK_DOWN_DESCRIPTION,</if>
            <if test="findLink!=null">FIND_LINK,</if>
            <if test="reportSource!=null">REPORT_SOURCE,</if>
            <if test="objectBo!=null">OBJECT_BO,</if>
            <if test="planStartDate!=null">PLAN_START_DATE,</if>
            <if test="planCompleteDate!=null">PLAN_COMPLETE_DATE,</if>
            <if test="actualStartDate!=null">ACTUAL_START_DATE,</if>
            <if test="actualCompleteDate!=null">ACTUAL_COMPLETE_DATE,</if>
            <if test="repairUsers!=null">REPAIR_USERS,</if>
            <if test="cancelCode!=null">CANCEL_CODE,</if>
            <if test="cancelDate!=null">CANCEL_DATE,</if>
            <if test="cancelDescription!=null">CANCEL_DESCRIPTION,</if>
            <if test="cancelUser!=null">CANCEL_USER,</if>
            <if test="dealWay!=null">DEAL_WAY,</if>
            <if test="preliminaryReason!=null">PRELIMINARY_REASON,</if>
            <if test="dealWayDescription!=null">DEAL_WAY_DESCRIPTION,</if>
            <if test="waitTime!=null">WAIT_TIME,</if>
            <if test="waitStartDate!=null">WAIT_START_DATE,</if>
            <if test="waitEndDate!=null">WAIT_END_DATE,</if>
            <if test="waitDescription!=null">WAIT_DESCRIPTION,</if>
            <if test="primaryReason!=null">PRIMARY_REASON,</if>
            <if test="primaryReasonDescription!=null">PRIMARY_REASON_DESCRIPTION,</if>
            <if test="precautionMeasureDescription!=null">PRECAUTION_MEASURE_DESCRIPTION,</if>
            <if test="remark!=null">REMARK,</if>
            <if test="other!=null">OTHER,</if>
            <if test="another!=null">ANOTHER,</if>
            <if test="createUser!=null">CREATE_USER,</if>
            <if test="createdDateTime!=null">CREATED_DATE_TIME,</if>
            <if test="modifyUser!=null">MODIFY_USER,</if>
            <if test="modifiedDateTime!=null">MODIFIED_DATE_TIME,</if>
        </trim> VALUES
        <trim prefix="(" suffix=")" suffixOverrides=",">
            #{handle},
            <if test="site!=null">#{site},</if>
            <if test="repairNo!=null">#{repairNo},</if>
            <if test="description!=null">#{description},</if>
            <if test="status!=null">#{status},</if>
            <if test="resourceNo!=null">#{resourceNo},</if>
            <if test="reportUser!=null">#{reportUser},</if>
            <if test="ncCodeNo!=null">#{ncCodeNo},</if>
            <if test="repairType!=null">#{repairType},</if>
            <if test="stopMachine!=null">#{stopMachine},</if>
            <if test="breakDownDescription!=null">#{breakDownDescription},</if>
            <if test="findLink!=null">#{findLink},</if>
            <if test="reportSource!=null">#{reportSource},</if>
            <if test="objectBo!=null">#{objectBo},</if>
            <if test="planStartDate!=null">#{planStartDate},</if>
            <if test="planCompleteDate!=null">#{planCompleteDate},</if>
            <if test="actualStartDate!=null">#{actualStartDate},</if>
            <if test="actualCompleteDate!=null">#{actualCompleteDate},</if>
            <if test="repairUsers!=null">#{repairUsers},</if>
            <if test="cancelCode!=null">#{cancelCode},</if>
            <if test="cancelDate!=null">#{cancelDate},</if>
            <if test="cancelDescription!=null">#{cancelDescription},</if>
            <if test="cancelUser!=null">#{cancelUser},</if>
            <if test="dealWay!=null">#{dealWay},</if>
            <if test="preliminaryReason!=null">#{preliminaryReason},</if>
            <if test="dealWayDescription!=null">#{dealWayDescription},</if>
            <if test="waitTime!=null">#{waitTime},</if>
            <if test="waitStartDate!=null">#{waitStartDate},</if>
            <if test="waitEndDate!=null">#{waitEndDate},</if>
            <if test="waitDescription!=null">#{waitDescription},</if>
            <if test="primaryReason!=null">#{primaryReason},</if>
            <if test="primaryReasonDescription!=null">#{primaryReasonDescription},</if>
            <if test="precautionMeasureDescription!=null">#{precautionMeasureDescription},</if>
            <if test="remark!=null">#{remark},</if>
            <if test="other!=null">#{other},</if>
            <if test="another!=null">#{another},</if>
            <if test="createUser!=null">#{createUser},</if>
            <if test="createdDateTime!=null">#{createdDateTime},</if>
            <if test="modifyUser!=null">#{modifyUser},</if>
            <if test="modifiedDateTime!=null">#{modifiedDateTime},</if>
        </trim>
    </insert>

    <!--自定义sql-->


</mapper>
